import http from "@/api/http.js"

//智能研报模块

const apiSmartReport={
    //报告列表
    reportList:params=>{
        return http.get('/smart_report/list',params)
    },

    //分类数据
    classifyList:params=>{
        return http.get('/classify/list',params)
    },

    //删除报告
    delReport:params=>{
        return http.post('/smart_report/remove',params)
    },

    //报告推送
    reportMsgSend:params=>{
        return http.post('/smart_report/send_msg',params)
    },

    // 作者
    reportAuthor:params=>{
        return http.get('/report/author',params)
    },

    //新增报告
    reportAdd:params=>{
        return http.post('/smart_report/add',params)
    },

    //编辑报告
    reportEdit:params=>{
        return http.post('/smart_report/edit',params)
    },

    //报告详情
    reportDetail:params=>{
        return http.get('/smart_report/detail',params)
    },

    //保存报告内容
    saveReportContent:params=>{
        return http.post('/smart_report/save_content',params)
    },

    //定时发布报告
    prePublishReport:params=>{
        return http.post('/smart_report/pre_publish',params)
    },

    //发布/取消发布报告
    publishReport:params=>{
        return http.post('/smart_report/publish',params)
    },

    //编辑状态
    markReport:params=>{
        return http.post('/smart_report/mark_edit',params)
    },

    //音频上传
    voiceupload:params=>{
        return http.post('/smart_report/voice_upload',params)
    },

    //报告导出图片
    getReportImg:params=>{
        return http.get('/smart_report/detail_img',params)
    },

    //获取上期已发布报告
    getLastReport:params=>{
        return http.get('/smart_report/last_published_report',params)
    }

}

export {
	apiSmartReport
}